
<app-home></app-home>
<table class="table table-hover">
    <thead>
      <tr>
        <th scope="col">Event Name</th>
        <th scope="col">Event Description</th>
        <th scope="col">Event Date</th>
        <th scope="col">Event Start Time</th>
        <th scope="col">Event End Time</th>
        <th scope="col">Event Location</th>
        <th scope="col">Interested</th>
        <th scope="col">Show Willingnes</th>
      </tr>
      <tr *ngFor="let detail of lstEventDetails">
          <!-- <tr *ngFor="let detail of lstEventDetails"> -->
            <td>{{detail.eventName}}</td>
            <td>{{detail.eventDescription}}</td>
            <td>{{detail.eventDate}}</td>
            <td>{{detail.startTime}}</td>
            <td>{{detail.EndTime}}</td>
            <td>{{detail.locationName}}</td>
            <!-- <td><a class="font-weight-bold" ng-click="" [routerLink]="['/Register',detail.Id]">Register</a></td>
            <td><a class="font-weight-bold" [routerLink]="['/FutureAvailability']">Future Availability</a></td> -->
            <!-- <td><button class="btn btn-secondary my-2 my-sm-0" type="submit" (click)="onRegister(detail)">Register</button></td> -->
            <td><button class="btn btn-secondary my-2 my-sm-0" type="submit"  (click)="onRegister(detail)">Register</button></td>
            <td><button class="btn btn-secondary my-2 my-sm-0" type="submit" (click)="onFutureAvailability()">Future Availability</button></td>
          
            <!-- <li *ngFor="let product of products">
              <a [routerLink]="['/product/',product.id]"></a>
               <button (click)="gotoProductDetails('/product',product.id)">Go To Details</button>
          </li> -->
            </tr>
    </thead>
  </table>